DayOfMonthSchedule (TreeSched API)
Keywords: org.treesched.schedules.DayOfMonthSchedule class

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.treesched.schedules
Class DayOfMonthSchedule

    java.lang.Object
      org.treesched.AbstractSchedule
          org.treesched.ConstrainedSchedule
              org.treesched.schedules.DayOfMonthSchedule

All Implemented Interfaces:
  RefineableSchedule, Schedule, java.io.Serializable

public final class DayOfMonthSchedule
extends ConstrainedSchedule
implements java.io.Serializable

Implement a schedule based on days of the month. The day of the month is given as an integer, but unlike the java GregorianCalander, 0 and negative numbers are taken to be this month, not the previous month. i.e. on="0" is the last day of the month.

Typical configuration is ``

     <dayofmonth from="17" to="22"/>
     <dayofmonth on="15"/>

Author:
  Rob Gordon
See Also:
  Serialized Form

Constructor Summary
`DayOfMonthSchedule()`

Method Summary
`java.util.Date` | `getEndDate(java.util.Date now)` For the given time, calculate when this schedule interval should finish.
`java.lang.String` | `getFrom()` Get the from date/time as a String.
`java.util.Date` | `getStartDate(java.util.Date now)` For the given time, calculate when this schedule should start or should have started.
`java.lang.String` | `getTo()` Get the to date/time as a String.
`void` | `setFrom(java.lang.String from)` Set the from date/time as a String.
`void` | `setTo(java.lang.String to)` Set the to date/time as a String.

Methods inherited from class org.treesched.ConstrainedSchedule
`nextDue, setOn, toString`

Methods inherited from class org.treesched.AbstractSchedule
`addChildSchedule, getChildSchedule, getLimits, reset, setChildSchedule, setLimits`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DayOfMonthSchedule

    public DayOfMonthSchedule()

Method Detail

### setFrom

    public void setFrom(java.lang.String from)

  Description copied from class: `ConstrainedSchedule`
  Set the from date/time as a String.

  Specified by:
    `setFrom` in class `ConstrainedSchedule`
  Parameters:
    `from` - The from date.

### getFrom

    public java.lang.String getFrom()

  Description copied from class: `ConstrainedSchedule`
  Get the from date/time as a String.

  Specified by:
    `getFrom` in class `ConstrainedSchedule`
  Returns:
    The from date.

### setTo

    public void setTo(java.lang.String to)

  Description copied from class: `ConstrainedSchedule`
  Set the to date/time as a String.

  Specified by:
    `setTo` in class `ConstrainedSchedule`
  Parameters:
    `to` - The to date.

### getTo

    public java.lang.String getTo()

  Description copied from class: `ConstrainedSchedule`
  Get the to date/time as a String.

  Specified by:
    `getTo` in class `ConstrainedSchedule`
  Returns:
    The to date.

### getStartDate

    public java.util.Date getStartDate(java.util.Date now)

  Description copied from class: `ConstrainedSchedule`
  For the given time, calculate when this schedule should start or should have started.

  Specified by:
    `getStartDate` in class `ConstrainedSchedule`
  Parameters:
    `now` - The date/time now.
  Returns:
    The date/time the scheudle is/was due.

### getEndDate

    public java.util.Date getEndDate(java.util.Date now)

  Description copied from class: `ConstrainedSchedule`
  For the given time, calculate when this schedule interval should finish.

  Specified by:
    `getEndDate` in class `ConstrainedSchedule`
  Parameters:
    `now` - The date/time now.
  Returns:
    The date/time the schedule should finish.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD